Bug 1052237 - [GSS] (6.3.0) Backport JacORB #904 CDRInputStream.read_string should handle 0 string size gracefully
[GSS] (6.3.0) Backport JacORB #904 CDRInputStream.read_string should handle ...
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: IIOP (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: DR0
: EAP 6.3.0
Assigned To: Brad Maxwell
Depends On:
Blocks: 1036819 1051273
  Show dependency treegraph
Reported: 2014-01-13 09:13 EST by Brad Maxwell
Modified: 2014-06-28 11:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The function CDRInputStream.read_string mishandles an empty string, incorrectly caculating this as a length of zero (0), resulting in a marshall exception. A QoS was added to allow CDRInputStream.read_string to interoperate with those ORBs that do not encode empty strings correctly.
Story Points: ---
Clone Of: 1036819
Last Closed: 2014-06-28 11:28:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brad Maxwell 2014-01-13 09:13:25 EST
+++ This bug was initially created as a clone of Bug #1036819 +++

Backport  http://www.jacorb.org/bugzilla/show_bug.cgi?id=904
to jacorb in EAP 6.1.1  ie to jacorb-2.3.2-redhat-4.jar

See similar bz for EAP 6.0.0 https://bugzilla.redhat.com/show_bug.cgi?id=1036044

--- Additional comment from Nick Cross on 2013-12-03 12:02:32 EST ---

Backpatched with SHA b1debdd79b07d10307fcacb6f4934ce9ed2d8958
Comment 2 Kabir Khan 2014-04-04 10:38:28 EDT
Setting to ON_QA since upgrade should fix this
Comment 3 Jan Martiska 2014-04-17 07:10:38 EDT
Verified in EAP 6.3.0.ER1 / jacorb 2.3.2-redhat-6

Note You need to log in before you can comment on or make changes to this bug.